Subject: Re: [PATCH]: Third (final?) release of Sun Neptune driver

From: Jeff Garzik <[email-masked]>
Date: Fri, 05 Oct 2007 12:55:04 -0400

Ingo Oeser wrote:
> Hi David,
> 
> some minor nits.
> 
> Could this driver be split into more files. 8k lines per file
> is quite a lot. Although GCC might optimize it best this way :-)

gcc does optimize it better this way, but overall, it's maintainer's 
preference.  It's far easier for many to have everything in a single 
file, when editing.

> David Miller schrieb:
>> +#define nr64(reg)		readq(np->regs + (reg))
>> +#define nw64(reg, val)		writeq((val), np->regs + (reg))
>> +
>> +#define nr64_mac(reg)		readq(np->mac_regs + (reg))
>> +#define nw64_mac(reg, val)	writeq((val), np->mac_regs + (reg))
>> +
>> +#define nr64_ipp(reg)		readq(np->regs + np->ipp_off + (reg))
>> +#define nw64_ipp(reg, val)	writeq((val), np->regs + np->ipp_off + (reg))
>> +
>> +#define nr64_pcs(reg)		readq(np->regs + np->pcs_off + (reg))
>> +#define nw64_pcs(reg, val)	writeq((val), np->regs + np->pcs_off + (reg))
>> +
>> +#define nr64_xpcs(reg)		readq(np->regs + np->xpcs_off + (reg))
>> +#define nw64_xpcs(reg, val)	writeq((val), np->regs + np->xpcs_off + (reg))
> 
> Can these be static inline and get the "struct niu *np" passed?

We have to answer this every single time...  :)  it makes the code more 
readable, and this is common practice all over the place.

	Jeff